Sybase NNTP forums - End Of Life (EOL)

The NNTP forums from Sybase - forums.sybase.com - are now closed.

All new questions should be directed to the appropriate forum at the SAP Community Network (SCN).

Individual products have links to the respective forums on SCN, or you can go to SCN and search for your product in the search box (upper right corner) to find your specific developer center.

matching JDBC driver with those meta-data stored procs

2 posts in General Discussion Last posting was on 2009-11-18 21:43:43.0Z
MikeC Posted on 2009-11-18 21:15:26.0Z
From: MikeC <mike.curwen@gmail.com>
Newsgroups: sybase.public.ase.general
Subject: matching JDBC driver with those meta-data stored procs
Date: Wed, 18 Nov 2009 13:15:26 -0800 (PST)
Organization: http://groups.google.com
Lines: 24
Message-ID: <8852314c-6e8b-41c5-bc70-1265177f4918@p23g2000vbl.googlegroups.com>
NNTP-Posting-Host: 207.54.102.221
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
X-Trace: posting.google.com 1258578927 27933 127.0.0.1 (18 Nov 2009 21:15:27 GMT)
X-Complaints-To: groups-abuse@google.com
NNTP-Posting-Date: Wed, 18 Nov 2009 21:15:27 +0000 (UTC)
Complaints-To: groups-abuse@google.com
Injection-Info: p23g2000vbl.googlegroups.com; posting-host=207.54.102.221; posting-account=bXMyVwoAAACEFsrjugQygacBjwQ-7b5e
User-Agent: G2/1.0
X-HTTP-Via: 1.1 localhost (squid/3.0.STABLE1)
X-HTTP-UserAgent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.3) Gecko/2008092510 Ubuntu/8.04 (hardy) Firefox/3.0.3,gzip(gfe),gzip(gfe)
Path: forums-1-dub!forums-master!newssvr.sybase.com!news-sj-1.sprintlink.net!news-peer1.sprintlink.net!nntp1.phx1.gblx.net!nntp.gblx.net!nntp.gblx.net!border2.nntp.dca.giganews.com!nntp.giganews.com!postnews.google.com!p23g2000vbl.googlegroups.com!not-for-mail
Xref: forums-1-dub sybase.public.ase.general:28644
Article PK: 77884

Hi,

I have run sp_version on my sybase instance, and I get:

Script
Version
-----------------
--------------------------------------------------------------------------------------
installjdbc jConnect (TM) for JDBC(TM)/6.05(Build 25895)/P/
EBF13251/JDK14/Fri Feb 17 1:04:39 2006


So now, I know the version of the proc that has been installed, for
the jconnect JDBC driver to work (it's JConnect 6.05, EBF 13251).

What I want to know , is there a way I can interogate the jconn2.jar/
jconn3.jar file installed, to see if it "matches" ? To see if I'm
using the right driver?

A second question is: would updating these jdbc procs cause problems
or change things, for other applications being hosted on the same DB,
but who use the jTDS driver from sourceforge?

Thanks.


Paul Vero [Sybase] Posted on 2009-11-18 21:43:43.0Z
From: "Paul Vero [Sybase]" <pvero@nospam.com>
Newsgroups: sybase.public.ase.general
References: <8852314c-6e8b-41c5-bc70-1265177f4918@p23g2000vbl.googlegroups.com>
Subject: Re: matching JDBC driver with those meta-data stored procs
Lines: 49
X-Priority: 3
X-MSMail-Priority: Normal
X-Newsreader: Microsoft Outlook Express 6.00.2900.3598
X-RFC2646: Format=Flowed; Original
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.3350
NNTP-Posting-Host: vip152.sybase.com
X-Original-NNTP-Posting-Host: vip152.sybase.com
Message-ID: <4b046a8f$1@forums-1-dub>
Date: 18 Nov 2009 13:43:43 -0800
X-Trace: forums-1-dub 1258580623 10.22.241.152 (18 Nov 2009 13:43:43 -0800)
X-Original-Trace: 18 Nov 2009 13:43:43 -0800, vip152.sybase.com
X-Authenticated-User: techsupp
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.ase.general:28645
Article PK: 77885

Hi Mike

You can interogate the jdbc driver

In the jConnect-6_0\classes directory:

java -jar ./jconn3.jar

example on my windows machine:

C:\Sybase\ocs\syb150\jConnect-6_0\classes>java -jar jconn3.jar
jConnect (TM) for JDBC(TM)/6.05(Build 26564)/P/EBF16956/JDK14/Mon Jul 13
1:04:29 2009

It's always a good idea to keep up-to-date with the procedures.

I only know Sybase jConnect uses these procedures.

-Paul

"MikeC" <mike.curwen@gmail.com> wrote in message
news:8852314c-6e8b-41c5-bc70-1265177f4918@p23g2000vbl.googlegroups.com...
> Hi,
>
> I have run sp_version on my sybase instance, and I get:
>
> Script
> Version
> -----------------
> --------------------------------------------------------------------------------------
> installjdbc jConnect (TM) for JDBC(TM)/6.05(Build 25895)/P/
> EBF13251/JDK14/Fri Feb 17 1:04:39 2006
>
>
> So now, I know the version of the proc that has been installed, for
> the jconnect JDBC driver to work (it's JConnect 6.05, EBF 13251).
>
> What I want to know , is there a way I can interogate the jconn2.jar/
> jconn3.jar file installed, to see if it "matches" ? To see if I'm
> using the right driver?
>
> A second question is: would updating these jdbc procs cause problems
> or change things, for other applications being hosted on the same DB,
> but who use the jTDS driver from sourceforge?
>
> Thanks.